namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "facade")]
public class Facade : Script, IScriptChangeBasePower
{
    /// <inheritdoc />
    public void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref ushort basePower)
    {
        var status = move.User.StatusScript.Script?.Name;
        if (status == "paralyzed" || status == "burned" || status == "poisoned")
        {
            basePower = basePower.MultiplyOrMax(2);
        }
    }
}